%define majver %(echo %version | cut -d. -f1-2)
Name:          libgsf
Version:       1.14.53
Release:       2mamba
Summary:       The GNOME Structured File Library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.gnome.org/
Source:        http://ftp.gnome.org/pub/gnome/sources/libgsf/%{majver}/%{name}-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libbzip2-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: pkgconfig
BuildRequires: perl-XML-Parser
Obsoletes:     libgsf12 < 1.14.48

%description
libgsf -- The GNOME Structured File Library.
The project aims to provide an efficient extensible i/o abstraction for dealing with different structured file formats.

%package devel
Summary:       Devel files for the GNOME Structured File Library
Group:         Development/Libraries
Obsoletes:     libgsf12-devel < 1.14.48
Requires:      %{name} = %{version}-%{release}

%description devel
libgsf -- The GNOME Structured File Library.
The project aims to provide an efficient extensible i/o abstraction for dealing with different structured file formats.
This is the devel package for the libgsf library.

%package -n gsf
Summary:       Base tools using libgsf, the GNOME Structured File Library
Group:         System/Tools
Obsoletes:     gsf12 < 1.14.48
Requires:      libgsf = %{version}-%{release}

%description -n gsf
Base tools using libgsf, the GNOME Structured File Library.
The project aims to provide an efficient extensible i/o abstraction for dealing with different structured file formats.

%debug_package

%prep
%setup -q

%build
%configure \
   --enable-introspection

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall
%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/libgsf-1.so.*
%{_libdir}/girepository-1.0/Gsf-1.typelib
%doc COPYING AUTHORS

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libgsf-1
%{_includedir}/libgsf-1/*
%{_libdir}/libgsf-1.a
%{_libdir}/libgsf-1.so
%{_datadir}/gir-1.0/Gsf-1.gir
%{_datadir}/gtk-doc/html/*
%{_libdir}/pkgconfig/*.pc
%doc ChangeLog BUGS HACKING NEWS README TODO

%files -n gsf
%defattr(-,root,root)
%{_bindir}/gsf
%{_bindir}/gsf-office-thumbnailer
%{_bindir}/gsf-vba-dump
%{_datadir}/thumbnailers/gsf-office.thumbnailer
%{_mandir}/man1/gsf-office-thumbnailer.1*
%{_mandir}/man1/gsf.1*
%{_mandir}/man1/gsf-vba-dump.1*

%changelog
* Sun Dec 22 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.14.53-2mamba
- rebuilt with --enable-introspection

* Wed Oct 02 2024 Automatic Build System <autodist@openmamba.org> 1.14.53-1mamba
- automatic version update by autodist

* Mon Feb 05 2024 Automatic Build System <autodist@openmamba.org> 1.14.52-1mamba
- automatic version update by autodist

* Fri Nov 03 2023 Automatic Build System <autodist@mambasoft.it> 1.14.51-1mamba
- automatic version update by autodist

* Thu Jul 14 2022 Automatic Build System <autodist@mambasoft.it> 1.14.50-1mamba
- automatic version update by autodist

* Tue Mar 22 2022 Automatic Build System <autodist@mambasoft.it> 1.14.49-1mamba
- automatic version update by autodist

* Tue Dec 28 2021 Automatic Build System <autodist@mambasoft.it> 1.14.48-1mamba
- automatic version update by autodist

* Tue Apr 14 2020 Automatic Build System <autodist@mambasoft.it> 1.14.47-1mamba
- automatic version update by autodist

* Sun May 05 2019 Automatic Build System <autodist@mambasoft.it> 1.14.46-1mamba
- automatic version update by autodist

* Wed Dec 19 2018 Automatic Build System <autodist@mambasoft.it> 1.14.45-1mamba
- automatic version update by autodist

* Sat Sep 08 2018 Automatic Build System <autodist@mambasoft.it> 1.14.44-1mamba
- automatic version update by autodist

* Fri Apr 20 2018 Automatic Build System <autodist@mambasoft.it> 1.14.43-1mamba
- automatic version update by autodist

* Sat Nov 18 2017 Automatic Build System <autodist@mambasoft.it> 1.14.42-1mamba
- automatic update by autodist

* Fri Jul 07 2017 Automatic Build System <autodist@mambasoft.it> 1.14.41-1mamba
- automatic version update by autodist

* Sun Aug 21 2016 Automatic Build System <autodist@mambasoft.it> 1.14.40-1mamba
- automatic version update by autodist

* Thu Jun 30 2016 Automatic Build System <autodist@mambasoft.it> 1.14.39-1mamba
- automatic version update by autodist

* Sun Jun 19 2016 Automatic Build System <autodist@mambasoft.it> 1.14.38-1mamba
- automatic version update by autodist

* Wed Jun 15 2016 Automatic Build System <autodist@mambasoft.it> 1.14.37-1mamba
- automatic version update by autodist

* Sat Feb 13 2016 Automatic Build System <autodist@mambasoft.it> 1.14.36-1mamba
- automatic version update by autodist

* Sat Feb 06 2016 Automatic Build System <autodist@mambasoft.it> 1.14.35-1mamba
- automatic version update by autodist

* Wed Jul 29 2015 Automatic Build System <autodist@mambasoft.it> 1.14.34-1mamba
- automatic version update by autodist

* Fri Apr 17 2015 Automatic Build System <autodist@mambasoft.it> 1.14.33-1mamba
- automatic version update by autodist

* Sun Mar 08 2015 Automatic Build System <autodist@mambasoft.it> 1.14.32-1mamba
- automatic version update by autodist

* Thu Feb 12 2015 Automatic Build System <autodist@mambasoft.it> 1.14.31-1mamba
- automatic version update by autodist

* Thu Mar 20 2014 Automatic Build System <autodist@mambasoft.it> 1.14.30-1mamba
- automatic version update by autodist

* Sun Jan 05 2014 Automatic Build System <autodist@mambasoft.it> 1.14.29-1mamba
- automatic version update by autodist

* Mon Aug 12 2013 Automatic Build System <autodist@mambasoft.it> 1.14.28-1mamba
- automatic update by autodist

* Sun Jun 23 2013 Automatic Build System <autodist@mambasoft.it> 1.14.27-1mamba
- automatic version update by autodist

* Tue Mar 05 2013 Automatic Build System <autodist@mambasoft.it> 1.14.26-1mamba
- automatic version update by autodist

* Wed Nov 14 2012 Automatic Build System <autodist@mambasoft.it> 1.14.25-1mamba
- automatic version update by autodist

* Thu Oct 18 2012 Automatic Build System <autodist@mambasoft.it> 1.14.24-1mamba
- automatic version update by autodist

* Tue Aug 14 2012 Automatic Build System <autodist@mambasoft.it> 1.14.23-1mamba
- update to 1.14.23

* Fri Jul 22 2011 Automatic Build System <autodist@mambasoft.it> 1.14.21-1mamba
- automatic update to 3.0.3.0 by autodist

* Tue Jun 29 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.14.18-2mamba
- rebuilt to add pkgconfig provides

* Fri Jun 04 2010 Automatic Build System <autodist@mambasoft.it> 1.14.18-1mamba
- automatic update by autodist

* Tue Oct 27 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.14.16-2mamba
- obsolete libgsf12

* Mon Oct 26 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.14.16-1mamba
- update to 1.14.16

* Sun Sep 16 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.14.7-1mamba
- update to 1.14.7

* Tue Oct 04 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 1.12.2-1qilnx
- update to version 1.12.2 by autospec

* Mon Oct 27 2003 Davide Madrisan <davide.madrisan@qilinux.it> 1.8.2-1qilnx
- first build
